# -*- coding: utf-8 -*-
from RoadCentre import plugins
from menu import Menu

CREATE_AREA_MENU_NAME='Создать участок расчёта'


def init_menu():
    from netcalc.menu import CalcAreaMenu, CalcObjectMenu, DprogMenu
    Menu.devClassMenus['CalcArea']=CalcAreaMenu()
    Menu.devClassMenus['CalculationObject']=CalcObjectMenu()
    Menu.devClassMenus['DynamicProgram']=DprogMenu()
    if hasattr(plugins,'SpectrPlugin'):
        Menu.devClassMenus['Spectr::Light'].appendCustomAction(CREATE_AREA_MENU_NAME,plugins.NetcalcPlugin.createAreaFromSelection)

def cleanup_menu():
    if 'CalcArea' in Menu.devClassMenus:
        del Menu.devClassMenus['CalcArea']
    if 'CalculationObject' in Menu.devClassMenus:
        del Menu.devClassMenus['CalculationObject']
    if 'DynamicProgram' in Menu.devClassMenus:
        del Menu.devClassMenus['DynamicProgram']
    if hasattr(plugins,'SpectrPlugin'):
        Menu.devClassMenus['Spectr::Light'].removeCustomAction(CREATE_AREA_MENU_NAME)
